Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class BookInstanceId

    java.lang.Object
      com.bea.netuix.application.identifier.Id
          com.bea.netuix.application.identifier.BookInstanceId

All Implemented Interfaces
  InstanceId, NavigableInstanceId, PlaceableInstanceId, Serializable

    public class BookInstanceId

extends Id
implements NavigableInstanceId, PlaceableInstanceId

Represents the primary keys of `Book` instance objects in the database, and is used to uniquely identify them. `BookInstanceId` will be needed when customizing specific instances of books on a desktop.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.identifier.Id
`id`

Constructor Summary
`BookInstanceId(int id)`

Method Summary
`protected Object` | `clone()`
`static BookInstanceId` | `clone(BookInstanceId bookInstanceId)`
`static BookInstanceId` | `createBookInstanceId(int id)`
`boolean` | `equals(Object o)`
`int` | `hashCode()`

Methods inherited from class com.bea.netuix.application.identifier.Id
`equals, getId, getUniqueLabel, setId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.netuix.application.identifier.NavigableInstanceId
`getId`

Methods inherited from interface com.bea.netuix.application.identifier.PlaceableInstanceId
`getId`

Constructor Detail

### BookInstanceId

    public BookInstanceId(int id)

Parameters
  `id` - the integer value that this `BookInstanceId` should be set to.

Method Detail

### createBookInstanceId

    public static BookInstanceId createBookInstanceId(int id)

  Parameters
    `id` - the integer value that this `BookInstanceId` should be set to.
  Returns
    a new `BookInstanceId` with the id value set to the integer passed in.

### clone

    public static BookInstanceId clone(BookInstanceId bookInstanceId)

  Parameters
    `bookInstanceId` - the `BookInstanceId` to clone.
  Returns
    a new `BookInstanceId` with the exact same parameters as the `BookInstanceId` passed in.

### clone

    protected Object clone()

  Overrides:
    `clone` in class `Object`
  Returns
    a new `BookInstanceId` with the exact same parameters as this `BookInstanceId`.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Id`
  Parameters
    `o` - a `BookInstanceId` object to compare to this `BookInstanceId`.
  Returns
    `true` if this `BookInstanceId` is the same as the `BookInstanceId` object passed in; `false` otherwise.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Id`
  Returns
    a hash code value for this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved